Subject: Re: [PATCH] pasemi: electra IDE/pata_platform glue

From: Arnd Bergmann <[email-masked]>
Date: Sun, 13 May 2007 01:11:02 +0200

On Saturday 12 May 2007, Olof Johansson wrote:
> 
> We unfortunately need to modify the resources before calling the generic
> platform driver, since the device tree only has one register window in
> it and the driver expects two. Adding this as an of_platform driver
> instead doesn't give us any benefit, it just adds one more layer of
> register/probe functions.

Why not provide a proper pata_of.c driver based on ata_generic? That
will help the next person that has a builtin ata controller and wants
to get it running as an of_device.

If you simply export generic_sht (rename that to ata_generic_sht)
and generic_port_ops (-> ata_generic_port_ops), then the resulting
of_platform_driver should be no more complicated than the one
you are proposing here.

	Arnd <><